package com.elab.core.async.model;

import java.util.HashMap;
import java.util.Map;

/**
 * 任务存储数据
 *
 * @author ： liukx
 * @time ： 2020/8/6 - 11:32
 */
public class TaskStoreData {
    /**
     * 是否存储
     */
    private boolean isSave = true;

    /**
     * 项目名称
     */
    private String project;
    /**
     * 业务类型
     */
    private String type;
    /**
     * 业务编号
     */
    private String businessId;
    /**
     * 存储数据
     */
    private String jsonData;

    private Map<String, String> dataMap = new HashMap<>();

    public boolean isSave() {
        return isSave;
    }

    public void setSave(boolean save) {
        isSave = save;
    }

    public Map<String, String> getDataMap() {
        return dataMap;
    }

    public void setDataMap(Map<String, String> dataMap) {
        this.dataMap = dataMap;
    }

    public String getProject() {
        return project;
    }

    public void setProject(String project) {
        this.project = project;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getBusinessId() {
        return businessId;
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getJsonData() {
        return jsonData;
    }

    public void setJsonData(String jsonData) {
        this.jsonData = jsonData;
    }

}
